export default class ModelVersion {
  static list (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelVersion/list', 'post', params, axiosOption, httpOption);
  }
          
  static view (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelVersion/view', 'get', params, axiosOption, httpOption);
  }
          
  static export (sender, params, fileName) {
    return sender.download('/admin/app/modelVersion/export', params, fileName);
  }
          
  static add (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelVersion/add', 'post', params, axiosOption, httpOption);
  }
          
  static update (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelVersion/update', 'post', params, axiosOption, httpOption);
  }
          
  static delete (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelVersion/delete', 'post', params, axiosOption, httpOption);
  }
  static change (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelVersion/change', 'post', params, axiosOption, httpOption);
  }
  static listModels (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelVersion/listModels', 'post', params, axiosOption, httpOption);
  }
  static stop (sender, params, axiosOption, httpOption) {
    return sender.doUrl('/admin/app/modelVersion/stop', 'post', params, axiosOption, httpOption);
  }
}
